Bug 139640 - grub install fails on large disk arrays
grub install fails on large disk arrays
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 23:09 EST by Steven Pritchard
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 23:37:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2004-11-16 23:09:30 EST
Description of problem:
Installing FC3 on a large (>2TB) disk array leaves it unbootable.

The following is displayed on tty5 during the install:

  grub> root (hd0,0)
  
  Error 18: Selected cylinder exceeds maximum supported by BIOS
  grub> install /grub/stage1 d (hd0) /grub/stage2 p (hd0,0)/grub/grub.conf

  Error 12: Invalid device requested
  grub> 

After rebooting from the install, grub never displays anything (since
it apparently doesn't install).  After POST, the system just displays
a blinking cursor.

Version-Release number of selected component (if applicable):
0.95-3

How reproducible:
Always

Steps to Reproduce:
1. Create a >2TB array.
2. Install FC3.
3. Reboot.
  
Actual results:
Unbootable system, with no (obvious) errors during the install.

Expected results:
Bootable system.

Additional info:
Unfortunately, I'm testing this system out for a client.  It is being
shipped out tomorrow (2004-11-16), so I won't have much time to do
further testing.

I'm guessing lilo probably won't have any better luck on this system,
but I might try that next.
Comment 1 Jeremy Katz 2004-11-16 23:13:43 EST
MS-DOS partition tables don't support devices larger than 2 TB.  And
BIOSes don't support booting from anything else.

Welcome to a land of pain.
Comment 2 Steven Pritchard 2004-11-17 14:47:26 EST
I was able to get the system to boot by switching to the shell on tty2
during the install, running grub, and manually feeding grub a bogus
(smaller) geometry.  I believe the commands I used were as follows:

  geometry (hd0) 100000 255 63
  root (hd0,0)
  install /grub/stage1 d (hd0) /grub/stage2 p (hd0,0)/grub/grub.conf

(In other words, the same thing anaconda does, but with the added
"geometry" line.)

It seems like there should be some way for anaconda to notice that the
boot drive is >2TB and do something like this automatically.
Comment 3 Steven Pritchard 2004-11-26 19:15:10 EST
I'm guessing this qualifies as either "low" or "enhancement" given 
the small number of people/systems affected and the easy workaround. 
Comment 4 Joshua Baker-LePain 2005-04-12 12:44:55 EDT
I just hit the same issue with RHEL4.  Notably, LILO does not have an issue
booting from the >2TB sda.
Comment 5 Matthew Miller 2006-07-10 16:20:27 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-30 23:37:00 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.